package net.minecraft.network.protocol.login;

import net.minecraft.network.PacketListener;

public interface ClientLoginPacketListener extends PacketListener {
    void handleHello(final ClientboundHelloPacket rk);
    
    void handleGameProfile(final ClientboundGameProfilePacket rj);
    
    void handleDisconnect(final ClientboundLoginDisconnectPacket rm);
    
    void handleCompression(final ClientboundLoginCompressionPacket rl);
    
    void handleCustomQuery(final ClientboundCustomQueryPacket ri);
}
